RagTime5Zone Class Reference

main zone in a RagTime v5-v6 document More...

`#include <RagTime5StructManager.hxx>`

## Public Member Functions

| RagTime5Zone (MWAWInputStreamPtr const &input, libmwaw::DebugFile &asc)
| constructor
virtual | ~RagTime5Zone ()
| destructor
std::string | getZoneName () const
| returns the zone name
std::string | getKindLastPart (bool main=true) const
| returns the main type
MWAWInputStreamPtr | getInput ()
| returns the current input
void | setInput (MWAWInputStreamPtr const &input)
| reset the current input
bool | isMainInput () const
| returns true if the input correspond to the basic file
libmwaw::DebugFile & | ascii ()
| returns the current ascii file
void | setAsciiFileName (std::string const &name)
| defines the ascii name
void | createAsciiFile ()
| creates the ascii file
void | addErrorInDebugFile (std::string const &zoneName)
| mark a zone as bad

## Public Attributes

int | m_level
| the zone level
std::string | m_parentName
| the parent name
long | m_defPosition
| the position of the definition in the main zones
std::string | m_kinds [2]
| the zone types: normal and packing
MWAWEntry | m_entry
| the zone entry
std::string | m_name
| the zone name ( mainly used for debugging)
bool | m_hiLoEndian
| true if the endian is hilo
int | m_ids [3]
| the zone id
int | m_idsFlag [3]
| the zone flag
std::vector< MWAWEntry > | m_entriesList
| the list of original entries
std::map< int, std::shared_ptr< RagTime5Zone > > | m_childIdToZoneMap
| the child zones
int | m_variableD [2]
| the content of the zone D if it exists
bool | m_isInitialised
| a flag to know if the zone is initialised (stream, hiLoEndian)
bool | m_isParsed
| a flag to know if the zone is parsed
std::string | m_extra
| extra data

## Protected Attributes

MWAWInputStreamPtr | m_input
| the main input
MWAWInputStreamPtr | m_defaultInput
| the main file input
std::string | m_asciiName
| the ascii file name ( used if we need to create a ascii file)
libmwaw::DebugFile * | m_asciiFile
| the ascii file corresponding to an input
libmwaw::DebugFile * | m_mainAsciiFile
| the main ascii file (used to print error)
std::shared_ptr< libmwaw::DebugFile > | m_localAsciiFile
| the local ascii file ( if we need to create a new input)

## Private Member Functions

| RagTime5Zone (RagTime5Zone const &orig)=delete
RagTime5Zone & | operator= (RagTime5Zone const &orig)=delete

## Friends

std::ostream & | operator<< (std::ostream &o, RagTime5Zone const &z)
| operator<<

## Detailed Description

main zone in a RagTime v5-v6 document

## Constructor & Destructor Documentation

## RagTime5Zone() [1/2]

RagTime5Zone::RagTime5Zone | ( | MWAWInputStreamPtr const & | input,
|  | libmwaw::DebugFile & | asc )

inline

constructor

Referenced by operator<<, operator=(), and RagTime5Zone().

## ~RagTime5Zone()

RagTime5Zone::~RagTime5Zone | ( |  | ) |

virtual

destructor

## RagTime5Zone() [2/2]

RagTime5Zone::RagTime5Zone | ( | RagTime5Zone const & | orig | ) |

private delete

## Member Function Documentation

## addErrorInDebugFile()

void RagTime5Zone::addErrorInDebugFile | ( | std::string const & | zoneName | ) |

mark a zone as bad

Referenced by RagTime5Document::readScriptComment().

## ascii()

libmwaw::DebugFile & RagTime5Zone::ascii | ( |  | ) |

inline

returns the current ascii file

Referenced by addErrorInDebugFile(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5Chart::readChartCluster(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Document::readClusterLinkList(), RagTime5Document::readDocInfoClusterData(), RagTime5Document::readDocumentVersion(), RagTime5ClusterManager::readFieldHeader(), RagTime5Formula::readFormulaDefinition(), RagTime5Formula::readFormulaPosition(), RagTime5Graph::readGraphicShape(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Document::readString(), RagTime5Document::readStructData(), RagTime5Text::readTextCluster(), RagTime5Text::readTextSeparators(), RagTime5StructManager::readTypeDefinitions(), RagTime5Document::readUnicodeString(), RagTime5Spreadsheet::readValuesTree(), RagTime5Document::readZoneData(), RagTime5Text::send(), and RagTime5Document::unpackZone().

## createAsciiFile()

void RagTime5Zone::createAsciiFile | ( |  | ) |

creates the ascii file

Referenced by ascii().

## getInput()

MWAWInputStreamPtr RagTime5Zone::getInput | ( |  | ) |

inline

returns the current input

Referenced by RagTime5ClusterManager::getClusterBasicHeaderInfo(), RagTime5ClusterManager::getClusterFileType(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Document::readClusterLinkList(), RagTime5Document::readDocInfoClusterData(), RagTime5Document::readDocumentVersion(), RagTime5ClusterManager::readFieldHeader(), RagTime5Formula::readFormulaDefinition(), RagTime5Formula::readFormulaPosition(), RagTime5Graph::readGraphicShape(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Document::readString(), RagTime5Document::readStructData(), RagTime5Text::readTextSeparators(), RagTime5StructManager::readTypeDefinitions(), RagTime5Document::readUnicodeString(), RagTime5Spreadsheet::readValuesTree(), RagTime5Text::send(), RagTime5Document::unpackZone(), RagTime5Document::unpackZone(), and RagTime5Document::updateZoneInput().

## getKindLastPart()

std::string RagTime5Zone::getKindLastPart | ( | bool | main = true | ) | const

inline

returns the main type

Referenced by RagTime5Graph::readPictureData(), RagTime5Graph::readPictureRep(), RagTime5Document::readScriptComment(), RagTime5Text::readTextSeparators(), and RagTime5Document::readZoneData().

## getZoneName()

std::string RagTime5Zone::getZoneName | ( |  | ) | const

returns the zone name

Referenced by operator<<, and RagTime5Document::updateZoneInput().

## isMainInput()

bool RagTime5Zone::isMainInput | ( |  | ) | const

inline

returns true if the input correspond to the basic file

Referenced by ascii(), and RagTime5Graph::readPictureData().

## operator=()

RagTime5Zone & RagTime5Zone::operator= | ( | RagTime5Zone const & | orig | ) |

private delete

## setAsciiFileName()

void RagTime5Zone::setAsciiFileName | ( | std::string const & | name | ) |

inline

defines the ascii name

Referenced by RagTime5Document::updateZoneInput().

## setInput()

void RagTime5Zone::setInput | ( | MWAWInputStreamPtr const & | input | ) |

inline

reset the current input

Referenced by RagTime5Document::unpackZone(), and RagTime5Document::updateZoneInput().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | RagTime5Zone const & | z )

friend

operator<<

## Member Data Documentation

## m_asciiFile

libmwaw::DebugFile* RagTime5Zone::m_asciiFile

protected

the ascii file corresponding to an input

Referenced by ascii(), createAsciiFile(), and RagTime5Zone().

## m_asciiName

std::string RagTime5Zone::m_asciiName

protected

the ascii file name ( used if we need to create a ascii file)

Referenced by createAsciiFile(), RagTime5Zone(), and setAsciiFileName().

## m_childIdToZoneMap

std::map<int,std::shared_ptr<RagTime5Zone> > RagTime5Zone::m_childIdToZoneMap

the child zones

Referenced by RagTime5Document::parseMainZoneInfoData(), RagTime5Zone(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureRep(), RagTime5Document::readScriptComment(), and RagTime5Document::readZoneData().

## m_defaultInput

MWAWInputStreamPtr RagTime5Zone::m_defaultInput

protected

the main file input

Referenced by isMainInput(), and RagTime5Zone().

## m_defPosition

long RagTime5Zone::m_defPosition

the position of the definition in the main zones

Referenced by addErrorInDebugFile(), RagTime5Zone(), RagTime5Document::readDocumentVersion(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), and RagTime5Document::readZoneData().

## m_entriesList

std::vector<MWAWEntry> RagTime5Zone::m_entriesList

the list of original entries

Referenced by operator<<, RagTime5Zone(), and RagTime5Document::updateZoneInput().

## m_entry

MWAWEntry RagTime5Zone::m_entry

the zone entry

Referenced by addErrorInDebugFile(), RagTime5ClusterManager::getClusterBasicHeaderInfo(), operator<<, RagTime5Zone(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Document::readClusterLinkList(), RagTime5Document::readDocumentVersion(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Graph::readPictureRep(), RagTime5Document::readScriptComment(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Document::readString(), RagTime5Text::readTextSeparators(), RagTime5StructManager::readTypeDefinitions(), RagTime5Document::readUnicodeString(), RagTime5Spreadsheet::readValuesTree(), RagTime5Document::readZoneData(), RagTime5Text::send(), RagTime5Document::unpackZone(), and RagTime5Document::updateZoneInput().

## m_extra

std::string RagTime5Zone::m_extra

extra data

Referenced by operator<<, RagTime5Zone(), and RagTime5Document::unpackZone().

## m_hiLoEndian

bool RagTime5Zone::m_hiLoEndian

true if the endian is hilo

Referenced by RagTime5ClusterManager::getClusterBasicHeaderInfo(), RagTime5ClusterManager::getClusterFileType(), operator<<, RagTime5Zone(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Document::readClusterLinkList(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Document::readScriptComment(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5StructManager::readTypeDefinitions(), RagTime5Document::readUnicodeString(), and RagTime5Spreadsheet::readValuesTree().

## m_ids

int RagTime5Zone::m_ids[3]

the zone id

Referenced by getZoneName(), operator<<, RagTime5Zone(), RagTime5Graph::readButtonCluster(), RagTime5ClusterManager::readCluster(), RagTime5Graph::readGraphicCluster(), RagTime5Layout::readLayoutCluster(), RagTime5Graph::readPictureCluster(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureRep(), RagTime5Pipeline::readPipelineCluster(), RagTime5Document::readScriptComment(), RagTime5Spreadsheet::readSpreadsheetCluster(), RagTime5Text::readTextCluster(), and RagTime5Document::readZoneData().

## m_idsFlag

int RagTime5Zone::m_idsFlag[3]

the zone flag

Referenced by getZoneName(), operator<<, and RagTime5Zone().

## m_input

MWAWInputStreamPtr RagTime5Zone::m_input

protected

the main input

Referenced by createAsciiFile(), getInput(), isMainInput(), RagTime5Zone(), and setInput().

## m_isInitialised

bool RagTime5Zone::m_isInitialised

mutable

a flag to know if the zone is initialised (stream, hiLoEndian)

Referenced by RagTime5Zone().

## m_isParsed

bool RagTime5Zone::m_isParsed

mutable

a flag to know if the zone is parsed

Referenced by addErrorInDebugFile(), RagTime5Document::parseMainZoneInfoData(), RagTime5Zone(), RagTime5Spreadsheet::readCellBlocks(), RagTime5Spreadsheet::readCellRefPos(), RagTime5ClusterManager::readCluster(), RagTime5ClusterManager::readClusterGObjProperties(), RagTime5Document::readClusterLinkList(), RagTime5Document::readDocumentVersion(), RagTime5Graph::readPictureContainer(), RagTime5Graph::readPictureData(), RagTime5Graph::readPictureList(), RagTime5Graph::readPictureMatch(), RagTime5Spreadsheet::readSheetDimensions(), RagTime5Document::readString(), RagTime5Text::readTextSeparators(), RagTime5StructManager::readTypeDefinitions(), RagTime5Document::readUnicodeString(), RagTime5Spreadsheet::readValuesTree(), and RagTime5Document::readZoneData().

## m_kinds

std::string RagTime5Zone::m_kinds[2]

the zone types: normal and packing

Referenced by getKindLastPart(), operator<<, RagTime5Zone(), RagTime5Graph::readPictureData(), RagTime5Document::readScriptComment(), RagTime5Text::readTextSeparators(), and RagTime5Document::readZoneData().

## m_level

int RagTime5Zone::m_level

the zone level

Referenced by getZoneName(), RagTime5Zone(), and RagTime5Document::readZoneData().

## m_localAsciiFile

std::shared_ptr<libmwaw::DebugFile> RagTime5Zone::m_localAsciiFile

protected

the local ascii file ( if we need to create a new input)

Referenced by ascii(), createAsciiFile(), and RagTime5Zone().

## m_mainAsciiFile

libmwaw::DebugFile* RagTime5Zone::m_mainAsciiFile

protected

the main ascii file (used to print error)

Referenced by addErrorInDebugFile(), and RagTime5Zone().

## m_name

std::string RagTime5Zone::m_name

the zone name ( mainly used for debugging)

Referenced by RagTime5Zone(), RagTime5Graph::readPictureList(), and RagTime5Graph::readPictureMatch().

## m_parentName

std::string RagTime5Zone::m_parentName

the parent name

Referenced by getZoneName(), and RagTime5Zone().

## m_variableD

int RagTime5Zone::m_variableD[2]

the content of the zone D if it exists

Referenced by operator<<, RagTime5Zone(), and RagTime5Graph::readPictureList().

The documentation for this class was generated from the following files:

- RagTime5StructManager.hxx
- RagTime5StructManager.cxx